MODESETTING(4)

NAME
modesetting - video driver for framebuffer device

SYNOPSIS
Section "Device"
  Identifier "devname"
  Driver "modesetting"
  BusID  "pci:bus:dev:func"
  ...
EndSection

DESCRIPTION
modesetting is an Xorg driver for KMS devices. This is a non-accelerated driver, the following framebuffer depths are supported: 8, 15, 16, 24. All visual types are supported for depth 8, and TrueColor visual is supported for the other depths. RandR 1.2 is supported.

SUPPORTED HARDWARE
The modesetting driver supports all hardware where a KMS driver is available. modesetting uses the Linux DRM KMS ioctls and dumb object create/map.

CONFIGURATION DETAILS
Please refer to xorg.conf(5) for general configuration details. This section only covers configuration details specific to this driver.

For this driver it is not required to specify modes in the screen section of the config file. The modesetting driver can pick up the currently used video mode from the kernel driver and will use it if there are no video modes configured.

For PCI boards you might have to add a BusID line to the Device section. See above for a sample line.

The following driver Options are supported:

Option "SWcursor" "boolean"
    Selects software cursor. The default is off.

Option "kmsdev" "string"
    The framebuffer device to use. Default: /dev/dri/card0.

Option "ShadowFB" "boolean"
    Enable or disable use of the shadow framebuffer layer. Default: on.

Option "AccelMethod" "string"
    One of "glamor" or "none". Default: glamor

Option "PageFlip" "boolean"
    Enable DRI3 page flipping. The default is on.

Option "ZaphodHeads" "string"
    Specify the RandR output(s) to use with zaphod mode for a particular driver instance. If you use this option you must use this option for all instances of the driver.
    For example: Option "ZaphodHeads" "LVDS,VGA-0" will assign xrandr outputs LVDS and VGA-0 to this instance of the driver.

SEE ALSO
Xorg(1), xorg.conf(5), Xserver(1),
    X(7)

AUTHORS
Authors include: Dave Airlie